Page MenuHomeFreeBSD

lang/rust: Update to 1.31.1
ClosedPublic

Authored by tobik on Dec 19 2018, 4:06 PM.

Details

Reviewers
None
Group Reviewers
rust
Commits
rP487977: lang/rust: Update to 1.31.1
Summary

Not released yet.

https://internals.rust-lang.org/t/rust-1-31-1-pre-release-testing/9059

https://github.com/rust-lang/rust/compare/1.31.0...stable

Also brings in the .cargo-checksum.json simplification by @mikael.urankar_gmail.com from D18367 and the LibreSSL 2.9.0 fix from D18596 by @ml_vishwin.info. Might as well save some energy and test all of these in one go.

Test Plan

No compiler changes, so I do not expect any problems in consumers.

11.2/amd64 ok (with ssl={base,libressl-devel})
12.0/i386 ok
13.0/amd64 ok

All consumers build ok on 11.2/amd64 ssl=base

Diff Detail

Repository
rP FreeBSD ports repository
Lint
No Linters Available
Unit
No Unit Test Coverage
Build Status
Buildable 21644
Build 20935: arc lint + arc unit

Event Timeline

tobik created this revision.Dec 19 2018, 4:06 PM
tobik edited the test plan for this revision. (Show Details)Dec 20 2018, 6:12 AM
tobik accepted this revision as: rust.Dec 21 2018, 10:36 AM
This revision was not accepted when it landed; it landed in state Needs Review.Dec 21 2018, 10:37 AM
Closed by commit rP487977: lang/rust: Update to 1.31.1 (authored by tobik). · Explain Why
This revision was automatically updated to reflect the committed changes.